### Hierarchy

- Abortable
  - ListenOptions

## Index

### Properties

- backlog
- exclusive
- host
- ipv6Only
- path
- port
- readableAll
- signal
- writableAll

## Properties

### Optional backlog

backlog?: number

### Optional exclusive

exclusive?: boolean

### Optional host

host?: string

### Optional ipv6Only

ipv6Only?: boolean

default

  false

### Optional path

path?: string

### Optional port

port?: number

### Optional readableAll

readableAll?: boolean

### Optional signal

signal?: AbortSignal

Inherited from Abortable.signal

When provided the corresponding `AbortController` can be used to cancel an asynchronous action.

### Optional writableAll

writableAll?: boolean

Generated using TypeDoc